## openttd-opengfx 0.1.1

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,11 @@
 endif
 endif
 
+# define a few repository references used also in makefile.config
 GRF_REVISION = $(shell hg parent --template="{rev}\n")
+GRF_MODIFIED = $(shell [ -n "`hg status \"." | grep -v '^?'`" ] && echo "M" || echo "")
+# " \" (syntax highlighting line
+REPO_TAGS    = $(shell hg parent --template="{tags}" | grep -v "tip" | cut -d\  -f1)
 
 include ${MAKEFILECONFIG}
 
@@ -31,10 +35,6 @@
 GRFCODEC = $(shell [ \( $(ISCYGWIN) -eq 1 \) ] && echo grfcodec.exe || echo grfcodec)
 
 # this overrides definitions from above:
-GRF_MODIFIED = $(shell [ -n "`hg status \"." | grep -v '^?'`" ] && echo "M" || echo "")
-# " \" (syntax highlighting line
-REPO_TAGS    = $(shell hg parent --template="{tags}" | grep -v "tip" | cut -d\  -f1)
-
 -include ${MAKEFILELOCAL}
 
 REPO_DIRS    = $(dir $(BUNDLE_FILES))
@@ -156,7 +156,7 @@
 
 release: $(DIR_RELEASE) $(DIR_RELEASE).$(TAR_SUFFIX)
 	$(_E) "[RELEASE] $(DIR_RELEASE)"
-release-install: release
+release-install: release $(INSTALLDIR)
 	$(_E) "[INSTALL] to $(INSTALLDIR)"
 	$(_V)-cp $(DIR_RELEASE).$(TAR_SUFFIX) $(INSTALLDIR)
 	$(_E)
@@ -176,8 +176,7 @@
 	$(_V) rm -rf $(DIR_RELEASE_SRC)
 
 $(INSTALLDIR):
-	$(_E) "$(error Installation dir does not exist. Check your makefile.local)"
+	$(_E) "Install dir didn't exist. Creating $@"
+	$(_V) mkdir -p $(INSTALLDIR)
 
 remake: clean all
-
--include $(DEP_FILENAMES)
