## openttd-opengfx 0.2.3

=== debian/changelog ===
openttd-opengfx (0.2.3-1) unstable; urgency=low

  * [0c1f44c] New upstream release 0.2.3.
  * [4c16724] Remove all patches, all issues have been fixed upstream.
  * [3c17006] Enable md5 sum checking after build.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 02 Apr 2010 15:51:39 +0200

openttd-opengfx (0.2.1-1) unstable; urgency=low

  * Initial release (Closes: #567626)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 12 Mar 2010 15:07:35 +0100
