## openttd-opengfx 0.2.4

=== debian/changelog ===
openttd-opengfx (0.2.4-1) unstable; urgency=low

  * [a68e6b1] New upstream release 0.2.4.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sat, 01 May 2010 18:02:38 +0200
