=== debian/control ===
Source: openttd-opengfx
Section: games
Priority: extra
Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), nforenum, grfcodec
Standards-Version: 3.8.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/openttd-opengfx.git
Vcs-Git: git://git.debian.org/collab-maint/openttd-opengfx.git
Homepage: http://dev.openttdcoop.org/projects/opengfx

Package: openttd-opengfx
Architecture: all
Depends: ${misc:Depends}
Description: a free graphics set for use with the OpenTTD game
 OpenGFX is a graphics set for the OpenTTD game that has been built from
 scratch under an open license. It allows the OpenTTD game to be played without
 needing the graphics files from the original Transport Tycoon Deluxe game.
