=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://bundles.openttdcoop.org/opengfx/releases/opengfx-(.*)-source.tar.gz
