## openttd-opengfx 0.3.6

=== debian/changelog ===
openttd-opengfx (0.3.6-1) unstable; urgency=low

  * [10e3bbf] New upstream release 0.3.6. (Closes: #644434)

    Note that 0.3.7 is already released at this time, but it requires an (as
    of yet) unreleased version of nforenum, so 0.3.7 will not be packaged yet.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 07 Oct 2011 12:06:07 +0200

openttd-opengfx (0.3.5-1) unstable; urgency=low

  * [a1f3136] New upstream release 0.3.5.
  * [ccf0015] Reword description to comply with the policy.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sun, 21 Aug 2011 11:57:38 +0200

openttd-opengfx (0.3.4-1) unstable; urgency=low

  * [2aed91a] New upstream release 0.3.4.
  * [c77a003] Drop build-dependency on nforenum, it is included in grfcodec now.
  * [98234fd] Bump Standards-Version to 3.9.2, no changes required.
  * [08b3bd9] Update watch file to new download location.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 04 Aug 2011 22:53:04 +0200
