=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# The upstream site explicitly links to index.html for directory
# indexes, and uses a separate directory per release, so we do some
# downloadurlmangle magic to get at the right file.
# Also remove any +debian suffix for repackaged sources.
opts="dversionmangle=s/\+debian\d*$//,downloadurlmangle=s/\/([\d\.]*)\/index.html$/\/$1\/opengfx-$1-source.tar.gz/" \
http://master.binaries.openttd.org/extra/opengfx/ \
(\d+(?:\.\d+)*)/index.html
