=== debian/changelog ===
openttd-opengfx (0.3.7-1) unstable; urgency=low

  * [b03894c] New upstream release 0.3.7.
  * [7604f59] Build-depend on grfcodec >= 5.1.2.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 06 Dec 2011 19:46:42 +0100
