## openttd-opengfx 0.4.3-1maemo1

=== debian/changelog ===
openttd-opengfx (0.4.3-1maemo1) unstable; urgency=low

  * new upstream released

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue,  3 Apr 2012 07:29:09 -0400

openttd-opengfx (0.2.4-1maemo1) unstable; urgency=low

  * New upstream released.
  * Remove "nforenum" binary name patch (upstream calls nforenum now).

 -- Javier S. Pedro <maemo@javispedro.com>  Mon, 28 Jun 2010 23:40:04 +0200

openttd-opengfx (0.2.3-0maemo1) unstable; urgency=low

  * New upstream release.
  * Removed stub sample.cat (not required in newer openttd versions).

 -- Javier S. Pedro <maemo@javispedro.com>  Tue,  6 Apr 2010 17:28:09 +0200

openttd-opengfx (0.2.0-0maemo1) unstable; urgency=low

  * New upstream release.

 -- Javier S. Pedro <maemo@javispedro.com>  Tue, 22 Dec 2009 19:43:43 +0100

openttd-opengfx (0.1.1) unstable; urgency=low

  * New upstream release.

 -- Javier S. Pedro <maemo@javispedro.com>  Fri, 30 Oct 2009 23:36:08 +0100

openttd-opengfx (0.1.0-alpha6-0maemo2) unstable; urgency=low

  * Added build-depend on nforenum to fix build warnings.

 -- Javier S. Pedro <maemo@javispedro.com>  Fri,  4 Sep 2009 21:01:08 +0200

openttd-opengfx (0.1.0-alpha6-0maemo1) unstable; urgency=low

  * First release using real sources (instead of prebuilt binary).

 -- Javier S. Pedro <maemo@javispedro.com>  Sun, 30 Aug 2009 02:27:29 +0200
