=== debian/control ===
Source: openttd-opengfx
Section: games
Priority: extra
Maintainer: Javier S. Pedro <maemo@javispedro.com>
Build-Depends: debhelper (>= 5), maemo-version, m4, quilt,
 grfcodec (>= 0.9.10), nforenum (>= 3.4.6)
Standards-Version: 3.7.2
Homepage: http://dev.openttdcoop.org/projects/opengfx

Package: openttd-opengfx
Architecture: all
Pre-Depends: openttd-data
Description: Free replacement of the base OpenTTD graphics
 The OpenGFX project for OpenTTD: a free replacement of the base graphics so
 that OpenTTD can be shipped finally fully functional without the need for
 additional downloads.
