## openttd-opengfx 0.4.4

=== debian/changelog ===
openttd-opengfx (0.4.4-1) unstable; urgency=low

  * [e652da2] New upstream release 0.4.4.
  * [a621db2] Upstream switched from nforenum/grfcodec to nml for
    building.
  * [cc8b1e1] Force rebuilding all png files for which gimp "source" files
    are available.
  * [3481ff6] Enable parallel building (not supported yet by upstream,
    though).
  * [48bd760] Bump Standards-Version to 3.9.3, no changes required.
  * [c22e8bf] Update copyright file to use the new copyright-format-1.0.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 18 Apr 2012 16:59:46 +0200
