=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Make sure that gimp doesn't read or write data into $HOME/.gimp-2.6
export GIMP2_DIRECTORY=$(CURDIR)/gimp-data

%:
	dh $@ --parallel

override_dh_auto_configure:
	# We configure by writing to Makefile.local
	echo "INSTALL_DIR=debian/openttd-opengfx/usr/share/games/openttd/data/opengfx" >> Makefile.local
	# Don't install these into the datadir, we'll let dh handle
	# these.
	echo "DO_NOT_INSTALL_CHANGELOG=1" >> Makefile.local
	echo "DO_NOT_INSTALL_LICENSE=1" >> Makefile.local
	echo "DO_NOT_INSTALL_DOCS=1" >> Makefile.local
	# Remove all graphics files that can be rebuilt (from gimp xcf
	# files).
	make clean-gfx

override_dh_auto_test:
	# Check if the md5 sums of the resulting grf files match. This
	# ensures no problems will arise in online play, which uses both
	# version info and md5 sums of files. We don't use dh_auto_test
	# here, because "make test" is also supported, but gives debug
	# output.
	make check

override_dh_auto_clean:
	make distclean
	# Remove our Makefile.local
	rm -f Makefile.local
	# Remove any data created by gimp
	rm -rf "$(GIMP2_DIRECTORY)"

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.txt
