=== debian/changelog ===
openttd-opengfx (0.4.7-1) unstable; urgency=low

  * [5c33920] New upstream release 0.4.7. (Closes: #713782)
  * [ebd67e7] Make the build verbose

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 25 Jun 2013 22:03:22 +0200

openttd-opengfx (0.4.6.1-1) unstable; urgency=low

  * [876b659] New upstream release 0.4.6.1.
  * [c896279] Update watch file, upstream changed download urls.
  * [8ad321b] Bump Standards-Version to 3.9.4, no changes required.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 15 Mar 2013 17:13:44 +0100
