=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: extra
 Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50), nml, gimp
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Browser: http://git.debian.org/?p=collab-maint/openttd-opengfx.git
 Vcs-Git: git://git.debian.org/collab-maint/openttd-opengfx.git
 Homepage: http://dev.openttdcoop.org/projects/opengfx
