=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,8 @@
 	echo "DO_NOT_INSTALL_CHANGELOG=1" >> Makefile.local
 	echo "DO_NOT_INSTALL_LICENSE=1" >> Makefile.local
 	echo "DO_NOT_INSTALL_DOCS=1" >> Makefile.local
+	# Make the build verbose
+	echo "_V=" >> Makefile.local
 	# Remove all graphics files that can be rebuilt (from gimp xcf
 	# files).
 	make clean-gfx
