=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://bundles.openttdcoop.org/opengfx/releases/(\d.*)/opengfx-(\d.*)-source\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
